
Katello - Bug #4724

Repository Creation takes over 12 seconds

03/19/2014 06:23 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Create a product

2. Create a repository

Watch as the save button sits and spins for a long time (~12s).

History

#1 - 03/20/2014 08:57 AM - Ivan Necas

What is suitable solution for this? Not publishing the distributor before first sync?

Development or production mode? Was there something else running on pulp side?

#2 - 03/21/2014 04:20 AM - Mike McCune

My setup:

Production Mode

Nightly build from Mar 20, 2014

Nothing happening on the server when I hit the Save button

#3 - 03/21/2014 11:30 AM - Ivan Necas

I have one candidate on improving the dynflow performance (basically the way we compute

progress of the task is not very effective). Not sure it will apply here, but

I was able to get to CV publish taking 50s instead of 1:50 for katello/foreman/pulp/candlepin

repos: so basically the tasks with more short steps will be improved.

For large content views, this enhancement won't be that visible, as the longs time takes

copying the packages in Pulp. Anyway, the load on processor by the dynflow process will

be significantly lower, than it is right now.

#4 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#5 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#6 - 06/04/2014 01:16 AM - Eric Helms

- Assignee set to Justin Sherrill

- Target version set to 45

- Triaged set to Yes

#7 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48
#8 - 06/19/2014 05:11 PM - Eric Helms

- Status changed from New to Closed

I have not seen this issue lately and am thus closing the issue.

#9 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
